//////////////////////////////////////////////////////////
//
//	MwlAghRoot
//
//////////////////////////////////////////////////////////

#ifndef __MwlAghRoot_H__
#define __MwlAghRoot_H__

#include "MwlAghCommon.h"

//	クラス宣言
class _MWLAGH_LIB_EXP CMwlAghRoot : public agh::CImplFactoryBase
{
public:
	//	コンストラクタ・デストラクタ
	CMwlAghRoot(){}
	virtual ~CMwlAghRoot(){}

	void* Create(agh::CControlBase* pUser, agh::agh_control_id_t nControlId);
};

#endif//__MwlAghRoot_H__
